import React from 'react'
import styled from 'styled-components/macro'

// Placeholder header component!

const MainWrapper = styled.div`
  background-color: green;
`

const Main = styled.div`
  margin: 0 auto;
  max-width: ${({ theme }) => theme.maxWidth};
  height: ${({ theme }) => theme.header.height};
  padding: 2.5rem ${({ theme }) => theme.horizontalPadding} 3rem
    ${({ theme }) => theme.horizontalPadding};
`

const MainRow = styled.div`
  display: flex;
  justify-content: space-between;
`

const PageTitle = styled.div`
  color: blue;
`
const H2 = styled.h2`
  font-size: 2.8rem;
  line-height: 4.5rem;
`

export default function Header() {
  return (
    <header>
      <MainWrapper>
        <Main>
          <MainRow>
            <PageTitle>
              <H2>Greg!</H2>
            </PageTitle>
          </MainRow>
        </Main>
      </MainWrapper>
    </header>
  )
}
