import { DefaultTheme } from 'styled-components/macro'

const mainTheme: DefaultTheme = {
  appMaxWidth: '110rem',
  borderRadius: '9px',
  colors: {
    main: 'hotPink',
    secondary: 'white',
  },
  footer: {
    backgroundColor: 'black',
  },
  header: {
    height: '5rem',
  },
  horizontalPadding: '2rem',
  linkInternalColor: 'white',
  linkExternalColor: 'blueish',
  maxWidth: '110rem',
  page: {
    headerColor: 'grey',
    horizontalPadding: '0rem',
  },
}

export default mainTheme
